Bug 767392 - Provide native systemd service
Provide native systemd service
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: flow-tools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul P Komkoff Jr
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 751869
  Show dependency treegraph
 
Reported: 2011-12-13 18:07 EST by Jóhann B. Guðmundsson
Modified: 2012-04-24 14:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 14:29:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd service file for flow capture (307 bytes, text/plain)
2011-12-13 18:09 EST, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-12-13 18:07:20 EST
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-12-13 18:09:15 EST
Created attachment 546442 [details]
Native systemd service file for flow capture

Note that users should copy the unit file to /etc/systemd/system directory and add/edit any options there which is why I did not include /etc/sysconfig/flow-capture as an environment file.
Comment 2 Paul P Komkoff Jr 2011-12-14 08:46:37 EST
Okay. Who else is using flow-capture?
I was thinking about how to do this better. One option would be to include a template for flow-capture@.service, and then it will be like that-
/etc/sysconfig/flow-capture.NAME has options
and then you enable flow-capture@NAME.service
Comment 3 Jóhann B. Guðmundsson 2011-12-14 09:10:13 EST
/etc/sysconfig is Red Hat specific while copying flow-capture to /etc/systemd/system/flow-capture-$NAME.service is distro agnostic for all distro using systemd thus more correct way of handling this and more likely to be accepted by upstream when you submit it there.

Ofcourse you can ship both the flow-capture.service and a template flow-capture@.service with specifiers and have users link to that template...
Comment 4 Gwyn Ciesla 2012-04-19 15:51:17 EDT
Paul any objection to my making this change?  I can change the unit file to source the sysconfig.
Comment 5 Gwyn Ciesla 2012-04-24 10:07:13 EDT
Ping?
Comment 6 Paul P Komkoff Jr 2012-04-24 12:06:39 EDT
No objections. Sorry it took so long to reply. Please, if you can, make the sysconfig change.
Thanks.
Comment 7 Gwyn Ciesla 2012-04-24 14:29:18 EDT
No worries, done, with sysconfig.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.